# xarray.Dataset.rename_dims

`Dataset.``rename_dims`(dims_dict: Mapping[Hashable, Hashable] = None, **dims) → xarray.core.dataset.Dataset

  Returns a new object with renamed dimensions only.

  Parameters:

  - dims_dict (dict-like, optional) – Dictionary whose keys are current dimension names and whose values are the desired names. The desired names must not be the name of an existing dimension or Variable in the Dataset.
  - optional (**dims,) – Keyword form of `dims_dict`. One of dims_dict or dims must be provided.

  Returns: | renamed – Dataset with renamed dimensions.
  Return type: | Dataset

  See also

  `Dataset.swap_dims()`, `Dataset.rename()`, `Dataset.rename_vars()`, `DataArray.rename()`